-----------------------------------------------------------------------------
-- Site 18
-----------------------------------------------------------------------------
-- PostStage

function PostStage()
    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera");    
    end;    
    
-----------------------------------------------------------------------------    
function Setup()

    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\Site18\\Site18.ini", "","","");
    EntGame.CreatePlayerEntities();

    EntGame.SetGlobalDustColorInitial(1.0, 0.61, .58, .45);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.61, .58, .45);
    
    EntGame.SetStageTimer(180);

	EntGame.LoadAnimal(AID_ARCTIC_HARE);
	EntGame.LoadAnimal(AID_GROUSE);	
	EntGame.LoadAnimal(AID_GOOSE);
    EntGame.LoadAnimal(AID_HARLEQUINN);
	EntGame.LoadAnimal(AID_JACKALOPE);
    	
     -- setup tournament logic    
    EntGame.StagePrepare();           

    -- show the scene from the intro camera
    EntGame.BindCameraToEntity("IntroCamera");
    
    -- tell the game the world has loaded
    Entity.GameEventPre(Game.GetRootEntity(), GE_WORLDLOADED, 0);	

    -- wait until the intro dialog is dispatched
    while (EntGame.GetFlag(GF_READYTOSTART) == false) do
        Script.WaitFrame(1);
        end;

    -- do a fade out        
    FadeOut();
    Script.WaitSec(0.5);       
    
	end;

--------------------------------------------------------------------------------------	
function Intro()

	EntGame.PlaySong("Music\\HillbillyBeatdown.ogg");

	entCamera = Entity.FindName(entRoot, "JackWpt002");
	a = EntGame.SpawnAnimalOnPath(AID_JACKALOPE, "JackPath1", 0, ST_GRAZING, 10, 0, 0, .1);
	Animal.SetElvOffset(a, 1.85);
	Animal.FaceEntity(a, entCamera);
	
    -- while the scene is black, change the view
    -- grab the camera
    entCamera = Entity.FindName(entRoot, "MainCamera");
    -- show the scene from the camera view
    EntGame.BindCameraToEntity(entCamera);    
    
    -- set the camera to a cool spot, then fade in
    EntGame.BindCameraToEntity("CountdownCamera3");
    FadeIn();    
    Script.WaitSec(1.0); 
    
    -- "3"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_3, 0);   
    Script.WaitSec(1.0);
    
    -- "2"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_2, 0);   
    EntGame.BindCameraToEntity("CountdownCamera2");
    Script.WaitSec(1.0);
    
    -- "1"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_1, 0);   
    EntGame.BindCameraToEntity("CountdownCamera1");
    Script.WaitSec(1.0);
    
    -- "HUNT!"  
    entCamera = Entity.FindName(entRoot, "MainCamera");
    EntGame.BindCameraToEntity(entCamera);    
    Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 0.0, 0.01);    
    EntGame.BindInputToEntity("Player1");  
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_HUNT, 0);     
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_START, 0);
   

    end;
    

-----------------------------------------------------------------------------
-- Use this function for overriding various game parameters (i.e. weapon availability, etc.)
function Testing()
    EntGame.SetPlayerWeapon(0, WS_PISTOL, 	    WID_PISTOL_4);
	EntGame.SetPlayerWeapon(0, WS_SINGLE_RIFLE, WID_SINGLE_RIFLE_5);
    EntGame.SetPlayerWeapon(0, WS_SHOTGUN,	    WID_SHOTGUN_4);	
	EntGame.SetPlayerWeapon(0, WS_AUTO_RIFLE, 	WID_AUTO_RIFLE_4);	
	EntGame.SetPlayerWeapon(0, WS_BOW, 		    WID_BOW_2);
	EntGame.ResetWeaponIcons();
	end;
	
-----------------------------------------------------------------------------

function Part1()

    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.2); 
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.2); 
    Script.WaitSec(1.0); 
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.2); 
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_JACKALOPE, "BunnyPath2", 0, ST_WPT_RUN, 0, 0, 0, .1);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 3, 0, 1.2); 	
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.2);           
    Script.WaitSec(2.5);    
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath6", 0, ST_WPT_RUN, 0, 0, 0, 1.2);     
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, 0, 0, 0, 1.2);	  	
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath6", 0, ST_WPT_RUN, 0, 0, 0, 1.2); 	
    Script.WaitSec(2.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 2.5, 0, 1.2);	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, 0, 1.5, 0, 1.2);	  
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath5", 0, ST_WPT_RUN, 0, 0, 0, 1.2);           
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Script.WaitSec(1.0); 
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 6, 0, 1.2);	

	--POWERUP
    Hare = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath10", 0, ST_WPT_RUN, 0, 0, 0, 1.2); 
	EntGame.CreateAnimalPowerUp(Hare, PID_4X_FIRE_RATE);
		
    Script.WaitSec(2.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 2.5, 0, 1.2);		
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, 0, 0, 0, 1.2);	
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.2);  
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath8", 0, ST_WPT_RUN, 0, -.5, -.5, 1.2);
    EntGame.SpawnAnimalOnPath(AID_JACKALOPE, "BunnyPath1", 0, ST_WPT_RUN, 0, .5, .5, 1.2); 
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 0, 0, 1.2);	    
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath8", 0, ST_WPT_RUN, 0, .5, .5, 1.2); 
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath2", 0, ST_WPT_RUN, 0, .5, .5, 1.2);
    Script.WaitSec(5.0);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath5", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath6", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath10", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Script.WaitSec(2.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 0, 0, 1.2); 
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path3", 0, 0, 0, 0, 1.2);
    Script.WaitSec(1.0);
	
	--POWERUP
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "Path4", 0, 0, 0, 0, 1.2);   
	EntGame.CreateAnimalPowerUp(Goose, PID_WILEY_VISION_100);
	
   	Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 3, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, 0, 0, 0, 1.2);        
       	
    --LOOK UP     
    Camera.SetTiltOffset(entCamera, 25, 1.5);
    
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path4", 0, 0, -1.0, 0, 1.2);   
    Script.WaitSec(2.0);
 	EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 4, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, 0, 0, 0, 1.2);    	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path3", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path4", 0, 0, 0, 0, 1.2);   
    Script.WaitSec(.5);
  	EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, .5, 1.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, .5, -.5, -1, 1.2);    	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path3", 0, 2, 1.5, 0, 1.2); 
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path4", 0, 0, -1, -1.5, 1.2);  
    Script.WaitSec(.5); 
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path4", 0, 0, 0, 0, 1.2);     	     	   
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath9", 0, ST_WPT_FLY, 20, 0, 0, 1.0);
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, .5, -.5, -1, 1.2);    
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path4", 0, 0, -1, -1.5, 1.2); 
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "Path1", 0, ST_WPT_FLY, 20, 0, 0, 1.0);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 4, 0, 1.2);    
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path3", 0, 0, 0, 0, 1.2); 
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "Path4", 0, ST_WPT_FLY, 20, 0, 0, 1.0);
    Script.WaitSec(1.5);  	
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "Path3", 0, ST_WPT_FLY, 20, 0, 0, 1.0);
    Script.WaitSec(2.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath9", 0, 0, 0, 0, 1.2); 
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path4", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 0, 0, 1.2);
    Script.WaitSec(1.0);
	
	--POWERUP
    Duck = EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "Path3", 0, ST_WPT_FLY, 20, 0, 0, 1.0); 
	EntGame.CreateAnimalPowerUp(Duck, PID_3X_SCORE);
	
   	Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path3", 0, 0, 0, 0, 1.2);          
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "Path4", 0, ST_WPT_FLY, 20, 0, 0, 1.0);
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, 0, -1.0, 0, 1.2);   
    Script.WaitSec(2.0);
 	EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "Path1", 0, ST_WPT_FLY, 20, 0, 0, 1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, 0, 0, 0, 1.2);    	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path3", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path4", 0, 0, 0, 0, 1.2);   
    Script.WaitSec(1.5);
  	EntGame.SpawnBirdOnPath(AID_GOOSE, "Path1", 0, .5, 1.5, 0, 1.2);
	EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "Path2", 0, ST_WPT_FLY, 20, 0, 0, 1.0);	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path3", 0, 2, 1.5, 0, 1.2); 
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path4", 0, 0, -1, -1.5, 1.2);  
    Script.WaitSec(.5); 
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath9", 0, 0, 0, 0, 1.2);     	     	   
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "Path3", 0, ST_WPT_FLY, 20, 0, 0, 1.0);
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path2", 0, .5, -.5, -1, 1.2);    
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path4", 0, 0, 3, -1.5, 1.2); 
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "Path4", 0, ST_WPT_FLY, 20, 0, 0, 1.0);    
    Script.WaitSec(5.0);
    
    --LOOK DOWN     
    Camera.SetTiltOffset(entCamera, 0, 1.5);
    
	end; 
	   
-----------------------------------------------------------------------------

function Part2()
	
	--Camera.JumpToWaypoint(entCamera, "CamWptAA");
    --Camera.SetSpeed(entCamera, 0.0, 0.007); 
	
    Camera.SetSpeed(entCamera, 2.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptBB");
    
    Script.WaitSec(3.0);
    
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath7", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath10", 0, ST_WPT_RUN, 0, 0, 0, 1.2);	
	Script.WaitSec(2);
    a1=EntGame.SpawnAnimalOnPath(AID_GROUSE, "Path11", 0, ST_POPUP, 1, 0, 0, 1);     
    Animal.SetElvOffset(a1, .1); 
    Animal.FaceEntity(a1, entCamera); 
    Script.WaitSec(1);
    a2=EntGame.SpawnAnimalOnPath(AID_GROUSE, "Path11", 1, ST_POPUP, 1, 0, 0, 1);     
    Animal.SetElvOffset(a2, 0); 
    Animal.FaceEntity(a2, entCamera);
    Script.WaitSec(1.5);
	
	--Powerup
    a3=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath13", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(a3, entCamera); 
	EntGame.CreateAnimalPowerUp(a3, PID_4X_MAGAZINE);
	
    Script.WaitSec(1.0);   
    EntGame.SpawnAnimalOnPath(AID_JACKALOPE, "BunnyPath15", 0, ST_WPT_RUN, 0, 0, 0, .8);     	
    Script.WaitSec(1.0);
    a5=EntGame.SpawnAnimalOnPath(AID_GROUSE, "Path11", 0, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(a5, .1); 
    Animal.FaceEntity(a5, entCamera);   
          
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath18", 0, ST_WPT_FLY, 20, 0, 0, 1.0);    
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath15", 0, ST_WPT_RUN, 0, 0, 0, .8);     
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath17", 0, ST_WPT_RUN, 0, 0, 0, 1.2);    
    Script.WaitSec(1.0);
    a6=EntGame.SpawnAnimalOnPath(AID_GROUSE, "Path11", 1, ST_POPUP, 1, 0, 0, 1);     
    Animal.SetElvOffset(a6, 0); 
    Animal.FaceEntity(a6, entCamera);        
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath17", 0, ST_WPT_RUN, 0, .5, .5, 1.1);    
    Script.WaitSec(1.5);          
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath17", 0, ST_WPT_RUN, 0, -.5, -.5, 1.1);
    Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath18", 0, ST_WPT_FLY, 20, 1, -1, 1.3);           
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath13", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath15", 0, ST_WPT_RUN, 0, 0, 0, .8);  
    a8=EntGame.SpawnAnimalOnPath(AID_GROUSE, "Path11", 0, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(a8, .1); 	
    Script.WaitSec(1.5);

    Animal.FaceEntity(a8, entCamera);       
          
    Script.WaitSec(5); ----SHOOT TIME
                 	    		  
    end;    

-----------------------------------------------------------------------------

function Part3()

	--Camera.JumpToWaypoint(entCamera, "CamWptBB");
    --Camera.SetSpeed(entCamera, 0.0, 0.007); 
	
	Camera.SetSpeed(entCamera, 1.0, 0.1); 
	Camera.StopAtWaypoint(entCamera, "CamWptDD");
	
    --Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath11", 0, ST_WPT_RUN, 0, 0, 0, .8);	
   	Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath11", 0, ST_WPT_RUN, 0, .5, .5, .8);	
	a8=EntGame.SpawnAnimalOnPath(AID_GROUSE, "Path11", 0, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(a8, 0); 
    Animal.FaceEntity(a8, entCamera);  
	
   	Script.WaitSec(1.0); 
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath19", 0, ST_WPT_RUN, 0, -.5, -.5, 1.0);
           
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_GROUSE, "BunnyPath11", 0, ST_WPT_WALK, 0, -.5, -.5, .8);
	Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_GROUSE, "BunnyPath19", 0, ST_WPT_WALK, 0, -.5, -.5, 1.0);	
    Script.WaitSec(2.0);
	
	--JUMPING GROUSE
	b1=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath1", 0, ST_WPT_WALK, 15, 0, 0, 0);     
    Animal.SetElvOffset(b1, 1.0);
	Animal.SetSpeedWalk(b1, 0)
	Animal.SetState(b1, ST_WPT_WALK);
    Animal.SetCoinMode(b1, CM_SPAWNREL); 
    Animal.FaceEntity(b1, entCamera); 
	
	Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath22", 0, ST_WPT_FLY, 20, 0, 0, 1.2); 
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath20", 0, ST_WPT_RUN, 0, -.5, -.5, 1.0);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath20", 0, ST_WPT_RUN, 0, -.5, -.5, 1.0); 	
 	Script.WaitSec(.25);
	
	--JUMPING GROUSE
    b2=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath1", 2, ST_WPT_WALK, 15, 0, 0, 1);     
    Animal.SetElvOffset(b2, 1.5); 
	Animal.SetSpeedWalk(b2, 0)
	Animal.SetState(b2, ST_WPT_WALK);
    Animal.SetCoinMode(b2, CM_SPAWNREL);
    Animal.FaceEntity(b2, entCamera); 
	
    Script.WaitSec(.25);
	
	--JUMPING GROUSE POWERUP
    b3=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath1", 1, ST_WPT_WALK, 15, 0, 0, 1);     
    Animal.SetElvOffset(b3, 1.5);
	Animal.SetSpeedWalk(b3, 0)
	Animal.SetState(b3, ST_WPT_WALK);
    Animal.SetCoinMode(b3, CM_SPAWNREL); 
    Animal.FaceEntity(b3, entCamera); 
	EntGame.CreateAnimalPowerUp(b3, PID_4X_MAGAZINE);
	
    Script.WaitSec(2.5);
	
	--JUMPING GROUSE
    b4=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath1", 3, ST_WPT_WALK, 15, 0, 0, 1);     
    Animal.SetElvOffset(b4, .6);
	Animal.SetSpeedWalk(b4, 0)
	Animal.SetState(b4, ST_WPT_WALK);
    Animal.SetCoinMode(b4, CM_SPAWNREL); 
    Animal.FaceEntity(b4, entCamera); 
	
	Script.WaitSec(2);
	
    b5=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path5", 0, ST_WPT_RUN, 0, 0, 0, 1.2);               
    Animal.FaceEntity(b5, entCamera);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1.2);    
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1.2);    
    b6=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath24", 0, ST_WPT_RUN, 0, 0, 0, 1.2);               
    Animal.FaceEntity(b6, entCamera);   
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath25", 0, ST_WPT_FLY, 20, 0, 0, 1.0);	
    b7=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path5", 0, ST_WPT_RUN, 0, 0, 0, 1.2);               
    Animal.FaceEntity(b7, entCamera);
    Script.WaitSec(3);
    b8=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath24", 0, ST_WPT_RUN, 0, 0, 0, 1.2);               
    Animal.FaceEntity(b8, entCamera);       	
    Script.WaitSec(1.5); 
    b9=EntGame.SpawnAnimalOnPath(AID_JACKALOPE, "BunnyPath24", 0, ST_WPT_RUN, 0, 0, 0, .1);               
    Animal.FaceEntity(b9, entCamera);  
    Script.WaitSec(1.5);
        
    Camera.SetSpeed(entCamera, 1.5, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptEE");
    
    Script.WaitSec(8); --TRAVEL TIME
                 	    		  
    end;    

-----------------------------------------------------------------------------

function Part4()

	--Camera.JumpToWaypoint(entCamera, "CamWptEE");
    --Camera.SetSpeed(entCamera, 0.0, 0.007);
    
    EntGame.DestroyAllAnimals()

    c1=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 4, ST_POPUP, 1, 0, 0, 1);     
    Animal.SetElvOffset(c1, .6); 
    Animal.FaceEntity(c1, entCamera);
    Script.WaitSec(1.0);
    c2=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 0, ST_POPUP, 1, 0, 0, 1);     
    Animal.SetElvOffset(c2, .3); 
    Animal.FaceEntity(c2, entCamera);
    Script.WaitSec(.5);
    c3=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 5, ST_POPUP, 1, 0, 0, 1);     
    Animal.SetElvOffset(c3, .05); 
    Animal.FaceEntity(c3, entCamera);
    Script.WaitSec(.75);
    c4=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 1, ST_POPUP, 1, 0, 0, 1);     
    Animal.SetElvOffset(c4, .6); 
    Animal.FaceEntity(c4, entCamera);
    Script.WaitSec(.25);
    c5=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 3, ST_POPUP, 1, 0, 0, 1);     
    Animal.SetElvOffset(c5, .1); 
    Animal.FaceEntity(c5, entCamera);
    Script.WaitSec(1.0);
    c6=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 4, ST_POPUP, 1, 0, 0, 1);     
    Animal.SetElvOffset(c6, .6); 
    Animal.FaceEntity(c6, entCamera);
    Script.WaitSec(.5);
	
	--POWERUP
    c7=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 2, ST_POPUP, 1, 0, 0, 1);     
    Animal.SetElvOffset(c7, .5); 
    Animal.FaceEntity(c7, entCamera);
	EntGame.CreateAnimalPowerUp(c7, PID_4X_RELOAD_RATE);
	
 	Script.WaitSec(1.5);
    c8=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 5, ST_POPUP, 1.85, 0, 0, 1);     
    Animal.SetElvOffset(c8, .05); 
    Animal.FaceEntity(c8, entCamera);
    Script.WaitSec(.25);
    c9=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 1, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c9, .6); 
    Animal.FaceEntity(c9, entCamera);
    Script.WaitSec(.5);
    c10=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 0, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c10, .3); 
    Animal.FaceEntity(c10, entCamera);
    Script.WaitSec(1.0);
    c11=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 3, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c11, .1); 
    Animal.FaceEntity(c11, entCamera);
    Script.WaitSec(.75);
    c12=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 2, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c12, .5); 
    Animal.FaceEntity(c12, entCamera);
    Script.WaitSec(1.25);
    c13=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 5, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c13, .05); 
    Animal.FaceEntity(c13, entCamera);
    Script.WaitSec(1.0);
    c18=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 4, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c18, .6); 
    Animal.FaceEntity(c18, entCamera);
    c14=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 1, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c14, .6); 
    Animal.FaceEntity(c14, entCamera); 
    Script.WaitSec(2.25);
    c16=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 0, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c16, .3); 
    Animal.FaceEntity(c16, entCamera);
    Script.WaitSec(.75);
    c17=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 3, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c17, .1); 
    Animal.FaceEntity(c17, entCamera);
    Script.WaitSec(.75);
    c19=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 1, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c19, .6); 
    Animal.FaceEntity(c19, entCamera); 
    Script.WaitSec(1.5);
    c20=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 2, ST_POPUP, .5, 0, 0, 1);     
    Animal.SetElvOffset(c20, .5); 
    Animal.FaceEntity(c20, entCamera); 
    Script.WaitSec(1.25);    
    c21=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 4, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c21, .6); 
    Animal.FaceEntity(c21, entCamera);
    c22=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 0, ST_POPUP, .75, 0, 0, 1);     
    Animal.SetElvOffset(c22, .3); 
    Animal.FaceEntity(c22, entCamera);
    Script.WaitSec(1.0);    
    c25=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 3, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c25, .1); 
    Animal.FaceEntity(c25, entCamera);
    c26=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 2, ST_POPUP, .75, 0, 0, 1);     
    Animal.SetElvOffset(c26, .5); 
    Animal.FaceEntity(c26, entCamera);
    Script.WaitSec(.5);
    c28=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 5, ST_POPUP, .75, 0, 0, 1);     
    Animal.SetElvOffset(c28, .05); 
    Animal.FaceEntity(c28, entCamera);
    Script.WaitSec(1.25);
    c29=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 1, ST_POPUP, 1.25, 0, 0, 1);     
    Animal.SetElvOffset(c29, .6); 
    Animal.FaceEntity(c29, entCamera);
    c30=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 0, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c30, .3); 
    Animal.FaceEntity(c30, entCamera);
    Script.WaitSec(1.0);        
    c33=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 5, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c33, .05); 
    Animal.FaceEntity(c33, entCamera);
    Script.WaitSec(1.5);
    c32=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 3, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c32, .1); 
    Animal.FaceEntity(c32, entCamera);
    Script.WaitSec(1.0);
    c34=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 1, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c34, .6); 
    Animal.FaceEntity(c34, entCamera);
    c35=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 2, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c35, .5); 
    Animal.FaceEntity(c35, entCamera);
    c36=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 4, ST_POPUP, 1.15, 0, 0, 1);     
    Animal.SetElvOffset(c36, .6); 
    Animal.FaceEntity(c36, entCamera);
    Script.WaitSec(2.5);
    c37=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 0, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c37, .3); 
    Animal.FaceEntity(c37, entCamera);
    c38=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 5, ST_POPUP, .75, 0, 0, 1);     
    Animal.SetElvOffset(c38, .05); 
    Animal.FaceEntity(c38, entCamera);
    Script.WaitSec(3.5);
    c41=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 5, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c41, .05); 
    Animal.FaceEntity(c41, entCamera); 
   	Script.WaitSec(.25);
    c42=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 4, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c42, .6); 
    Animal.FaceEntity(c42, entCamera);
    Script.WaitSec(.25);
    c43=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 3, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c43, .1); 
    Animal.FaceEntity(c43, entCamera);
    c44=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 0, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c44, .3); 
    Animal.FaceEntity(c44, entCamera);
    c46=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 2, ST_POPUP, 1.25, 0, 0, 1);     
    Animal.SetElvOffset(c46, .5); 
    Animal.FaceEntity(c46, entCamera);
    Script.WaitSec(2.75);
    c48=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 1, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c48, .6); 
    Animal.FaceEntity(c48, entCamera);   
    c51=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 4, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c51, .6); 
    Animal.FaceEntity(c51, entCamera);
    c52=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 5, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c52, .05); 
    Animal.FaceEntity(c52, entCamera);         
	Script.WaitSec(4.0);        
		
    end;    

-----------------------------------------------------------------------------

function Part5()

	--Camera.JumpToWaypoint(entCamera, "CamWptEE");
    --Camera.SetSpeed(entCamera, 0.0, 0.007);
 
    Camera.SetSpeed(entCamera, 1.0, 0.1); 
	Camera.StopAtWaypoint(entCamera, "CamWptGG"); 
	  
	Script.WaitSec(1.0);
		
	EntGame.DestroyAllAnimals()
	
	d1=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath27", 0, ST_WPT_RUN, 0, 0, 0, 1.2); 
	Animal.FaceEntity(d1, entCamera); 
	Script.WaitSec(.5);
	
    d2=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath26", 0, ST_WPT_RUN, 0, 0, 0, .8); 
    Animal.FaceEntity(d2, entCamera);
    Script.WaitSec(1.0); 
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath31", 0, ST_WPT_RUN, 0, 0, 0, 1.2);  
	
	--JUMP UP #1
	c1=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 1, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c1, .2); 
    Animal.FaceEntity(c1, entCamera);
	
    Script.WaitSec(1.5);
	
	--JUMP UP #2
    c2=EntGame.SpawnAnimalOnPath(AID_GROUSE, "LongerPath2", 2, ST_POPUP, 1.0, 0, 0, 1);     
    Animal.SetElvOffset(c2, .2); 
    Animal.FaceEntity(c2, entCamera);	 
   	
    d4=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath29", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(d4, entCamera);         
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath32", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath33", 0, 0, 0, 0, .8);  
    Script.WaitSec(1.0);	
	
	--POWERUP
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath33", 0, -1, 1.5, 1, .8);	
	EntGame.CreateAnimalPowerUp(Goose, PID_WILEY_VISION_50);
	
	
    d5=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath29", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(d5, entCamera);
   	Script.WaitSec(2);	
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath32", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	Script.WaitSec(1);
    d6=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath29", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(d6, entCamera);
 	Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_JACKALOPE, "BunnyPath34", 0, ST_WPT_RUN, 0, 0, 0, 1.2);   	    
	Script.WaitSec(3); 
    d8=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path7", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Animal.FaceEntity(d8, entCamera);
    Script.WaitSec(2.5);
    d9=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path6", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Animal.FaceEntity(d9, entCamera);
    Script.WaitSec(1.0);
	
	--POWERUP
    d10=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path6", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Animal.FaceEntity(d10, entCamera);
	EntGame.CreateAnimalPowerUp(d10, PID_5X_SCORE);
	
    Script.WaitSec(1.0);
       	       	
    end;    

-----------------------------------------------------------------------------

function Part6()

	--Camera.JumpToWaypoint(entCamera, "CamWptGG");
    --Camera.SetSpeed(entCamera, 0.0, 0.007);
 
	EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath36", 0, 0, -1.0, 0, .4);   
    Script.WaitSec(2.0);
 	EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath35", 0, 0, 0, 0, .4);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath37", 0, 0, 0, 0, .4);    	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath36", 0, 0, 0, 0, .4); 
    Script.WaitSec(2.5); 
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath37", 0, 0, 0, 0, .4);     	 

	--POWERUP
    Duck = EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath39", 0, ST_WPT_FLY, 20, 0, 0, .5);
	EntGame.CreateAnimalPowerUp(Duck, PID_WILEY_VISION_50);
	
    Script.WaitSec(2.0);
    	
    e1=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path6", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Animal.FaceEntity(e1, entCamera);
    	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath35", 0, .5, -.5, -1, .4);    
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath36", 0, 0, -1, -1.5, .4); 
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath35", 0, ST_WPT_FLY, 20, 0, 0, .6);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath37", 0, 0, 0, 0, .4);    
    Script.WaitSec(1.5);  	
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath36", 0, ST_WPT_FLY, 20, 0, 0, .6);
    Script.WaitSec(2.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath36", 0, 0, 0, 0, .4); 
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath35", 0, 0, 0, 0, .4);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath37", 0, 0, 0, 0, .4);
    Script.WaitSec(1.0);
    	
    e2=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path6", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Animal.FaceEntity(e2, entCamera);	
    
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath37", 0, ST_WPT_FLY, 20, 0, 0, .6);   
   	Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath36", 0, 0, 0, 0, .4);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath35", 0, 0, 0, 0, .4);          
 	Script.WaitSec(4.0);  	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath36", 0, 0, 0, 0, .4);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath37", 0, 0, 0, 0, .4);  
    EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath42", 0, ST_WPT_RUN, 0, 0, 0, 1.0); 
    Script.WaitSec(1.5);
    e3=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path6", 0, ST_WPT_RUN, 0, 0, 0, .6);
    Animal.FaceEntity(e3, entCamera);
    e4=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath43", 0, ST_WPT_RUN, 0, 0, 0, 1.0);  
    Animal.FaceEntity(e4, entCamera);  	    	
	EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath36", 0, ST_WPT_FLY, 20, 0, 0, .6);	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath35", 0, 0, -1, -1.5, .4);  
    Script.WaitSec(.5);
    e5=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath42", 0, ST_WPT_RUN, 0, 0, 0, .8); 
    Animal.FaceEntity(e5, entCamera);  	 
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath40", 0, 0, 0, 0, .4);     	     	   
    Script.WaitSec(1.0);
    e6=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath42", 0, ST_WPT_RUN, 0, 0, 0, .8);
    Animal.FaceEntity(e6, entCamera);	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath40", 0, .5, -.5, -1, .4);    
    EntGame.SpawnBirdOnPath(AID_GOOSE, "BunnyPath36", 0, 0, -1, -1.5, .4); 
    EntGame.SpawnAnimalOnPath(AID_HARLEQUINN, "BunnyPath37", 0, ST_WPT_FLY, 20, 0, 0, .6);    
    Script.WaitSec(1.0);
    e7=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path6", 0, ST_WPT_RUN, 0, 0, 0, .6);
    Animal.FaceEntity(e7, entCamera);    	
    e8=EntGame.SpawnAnimalOnPath(AID_JACKALOPE, "BunnyPath43", 0, ST_WPT_RUN, 0, 0, 0, .8);
    Animal.FaceEntity(e8, entCamera);	
	
    end;    

-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Intro();
Part1();
Part2();
Part3();
Part4();
Part5();
Part6();


